Bug 1698495 - nmcli crashing when upping gsm connection
Summary: nmcli crashing when upping gsm connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-10 13:26 UTC by Vladimir Benes
Modified: 2019-08-06 13:17 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.18.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:16:56 UTC


Attachments (Terms of Use)
[PATCH] clients: fix assertion when requesting gsm pin secret (1.49 KB, patch)
2019-04-10 15:39 UTC, Beniamino Galvani
no flags Details | Diff
Log from NetworkManager (28.46 KB, text/plain)
2019-05-07 15:06 UTC, Pavlin Georgiev
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2302 None None None 2019-08-06 13:17:10 UTC

Description Vladimir Benes 2019-04-10 13:26:08 UTC
Description of problem:
nmcli  connection add type gsm ifname \* con-name gsm apn internet

[root@gsm-r5s4-01 ~]# nmcli  connection up id gsm 
**
libnmc:ERROR:clients/common/nm-secret-agent-simple.c:171:_secret_real_new_plain: assertion failed: ((secret_type == NM_SECRET_AGENT_SECRET_TYPE_SECRET) == nm_setting_get_secret_flags (setting, property, ((void *)0), ((void *)0)))
Aborted (core dumped)


Version-Release number of selected component (if applicable):
kernel-3.10.0-1037.el7.rh1630402.x86_64
NetworkManager-1.18.0-0.3.20190408git43d9187c14.el7.x86_64
ModemManager-1.6.10-1.1.bz1630402.el7.x86_64

Comment 3 Beniamino Galvani 2019-04-10 15:39:36 UTC
Created attachment 1554276 [details]
[PATCH] clients: fix assertion when requesting gsm pin secret

Comment 5 Thomas Haller 2019-04-10 15:53:26 UTC
(In reply to Beniamino Galvani from comment #3)
> Created attachment 1554276 [details]
> [PATCH] clients: fix assertion when requesting gsm pin secret

lgtm.


Note that the commit message says "Fixes: 0601b5d725b0", but the bug was already there from the beginning: https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=3bda3fb60c104114192e4e3c9c4ba0bef84d3a00 -- namely, that this had "secret=FALSE", while it is a secret. Only now with the assertion it breaks.

Comment 6 Beniamino Galvani 2019-04-11 11:57:53 UTC
Amended commit message and applied:

https://gitlab.freedesktop.org/NetworkManager/NetworkManager/commit/a94ccc9acc47f08943f017a5040abeb05afee183

Comment 8 Pavlin Georgiev 2019-05-07 15:06:57 UTC
Created attachment 1565265 [details]
Log from NetworkManager

Comment 9 Pavlin Georgiev 2019-05-07 15:11:40 UTC
TEST SETUP
Distro: RHEL-7.7-20190502.1
Testing machine: gsm-r6s16-01.wlan.rhts.eng.bos.redhat.com
Broadband modem: Zoom 4995


Component version:
kernel-3.10.0-1040.el7.x86_64                                                       
NetworkManager-1.18.0-1.el7.x86_64                                                  
ModemManager-1.6.10-1.el7.x86_64 


TEST PROCEDURE
# nmcli dev
DEVICE   TYPE      STATE         CONNECTION
eth0     ethernet  connected     System eth0
ttyUSB2  gsm       disconnected  --

# nmcli connection add type gsm ifname \* con-name gsm apn internet
Connection 'gsm' (695ed2b9-084a-4a58-aab6-c35f8b30925a) successfully added.

# nmcli  connection up id gsm
Connection successfully activated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/3)


RESULT
Upgrading component: component_name
    from: 1.18.0-0.3.20190408git43d9187c14.el7
      to: 1.18.0-1.el7
has fixed the bug.

Comment 10 Pavlin Georgiev 2019-05-08 05:14:09 UTC
TEST PROCEDURE 2
1. The gsm connection already exists in NetworkManager.
2. Assign a PIN code to the SIM card.
3. Reboot the testing machine (or disconnect the modem manually).
4. Activate the connection by entering the PIN:
  # nmcli  --ask connection up id gsm
  PIN code is needed for the mobile broadband device
  PIN (gsm.pin): ••••
5. Show active connections:
  # nmcli con show
  NAME         UUID                                  TYPE      DEVICE  
  System eth0  c6d197fc-3e10-49fe-b78d-d70fabb722f9  ethernet  eth0    
  gsm          53d11896-2092-48a8-b667-a86587600d0e  gsm       ttyUSB2


RESULT
There are no errors.

Comment 12 errata-xmlrpc 2019-08-06 13:16:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2302


Note You need to log in before you can comment on or make changes to this bug.